com.io7m.smfj.parser.api

## Interface SMFParserEventsDataAttributeValuesType

- All Superinterfaces:
    SMFParserEventsErrorType
  All Known Implementing Classes:
    SMFByteBufferAttributePacker, SMFByteBufferPackedMeshes, SMFFCopier, SMFMemoryMeshProducer, SMFParserEventsDataAttributeValuesIgnoringReceiver

      public interface SMFParserEventsDataAttributeValuesType
      extends SMFParserEventsErrorType

  A receiver of parse events for mesh attribute data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDataAttributeValueFinish()` Parsing of data for the attribute has finished.
    `void` | `onDataAttributeValueFloat1(double x)` A data value has been received.
    `void` | `onDataAttributeValueFloat2(double x, double y)` A data value has been received.
    `void` | `onDataAttributeValueFloat3(double x, double y, double z)` A data value has been received.
    `void` | `onDataAttributeValueFloat4(double x, double y, double z, double w)` A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned1(long x)` A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned2(long x, long y)` A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned3(long x, long y, long z)` A data value has been received.
    `void` | `onDataAttributeValueIntegerSigned4(long x, long y, long z, long w)` A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned1(long x)` A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned2(long x, long y)` A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned3(long x, long y, long z)` A data value has been received.
    `void` | `onDataAttributeValueIntegerUnsigned4(long x, long y, long z, long w)` A data value has been received.

    - ### Methods inherited from interface com.io7m.smfj.parser.api.SMFParserEventsErrorType

      `onError, onWarning`

- - ### Method Detail

    - #### onDataAttributeValueIntegerSigned1

          void onDataAttributeValueIntegerSigned1(long x)

      A data value has been received.
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueIntegerSigned2

          void onDataAttributeValueIntegerSigned2(long x,
                                                  long y)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueIntegerSigned3

          void onDataAttributeValueIntegerSigned3(long x,
                                                  long y,
                                                  long z)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueIntegerSigned4

          void onDataAttributeValueIntegerSigned4(long x,
                                                  long y,
                                                  long z,
                                                  long w)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueIntegerUnsigned1

          void onDataAttributeValueIntegerUnsigned1(long x)

      A data value has been received.
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueIntegerUnsigned2

          void onDataAttributeValueIntegerUnsigned2(long x,
                                                    long y)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueIntegerUnsigned3

          void onDataAttributeValueIntegerUnsigned3(long x,
                                                    long y,
                                                    long z)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueIntegerUnsigned4

          void onDataAttributeValueIntegerUnsigned4(long x,
                                                    long y,
                                                    long z,
                                                    long w)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueFloat1

          void onDataAttributeValueFloat1(double x)

      A data value has been received.
      Parameters:
        `x` - The x value

    - #### onDataAttributeValueFloat2

          void onDataAttributeValueFloat2(double x,
                                          double y)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value

    - #### onDataAttributeValueFloat3

          void onDataAttributeValueFloat3(double x,
                                          double y,
                                          double z)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value

    - #### onDataAttributeValueFloat4

          void onDataAttributeValueFloat4(double x,
                                          double y,
                                          double z,
                                          double w)

      A data value has been received.
      Parameters:
        `x` - The x value
        `y` - The y value
        `z` - The z value
        `w` - The w value

    - #### onDataAttributeValueFinish

          void onDataAttributeValueFinish()

      Parsing of data for the attribute has finished.

Copyright © 2017 <code@io7m.com> http://io7m.com